GCi.EntryController – GCi-1 Reference Manual

# EntryController

## Object Hierarchy:

## Description:

public class EntryController : Object

A Gtk.Entry controler to provide calculator services

Setup a Gtk.Entry to response when the user hits the enter key or click the secondary icon, to evaluate the math expression and substitude the result as the new content text of the Gtk.Entry.

The math expression should start with the equal sign "=", in order to execute the math expression evaluation.

If the expression is not a valid one, like using undefined variables, the new text is empty.

Namespace: GCi
Package: GCi-1

## Content:

### Properties:

- public Entry entry { get; set; }

### Creation methods:

- public EntryController ()
- public EntryController.for_entry (Entry entry)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref